#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%define		pdir	Text
%define		pnam	Diff
Summary:	Text::Diff - perform diffs on files and record sets
Summary(pl.UTF-8):	Text::Diff - wyszukiwanie różnic między plikami i zbiorami rekordów
Name:		perl-Text-Diff
Version:	1.45
Release:	1%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	edf57b6189f7651a6be454062a4e6d9c
URL:		https://metacpan.org/release/Text-Diff
%if %{with tests}
BuildRequires:	perl-Algorithm-Diff >= 1.19
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
diff() provides a basic set of services akin to the GNU diff utility.
It is not anywhere near as feature complete as GNU diff, but it is
better integrated with Perl and available on all platforms. It is
often faster than shelling out to a system's diff executable for small
files, and generally slower on larger files.

%description -l pl.UTF-8
Funkcja diff() udostępnia podstawowy zbiór usług podobnych do
narzędzia GNU diff. Daleko jej do pełnej funkcjonalności GNU diffa,
ale jest lepiej zintegrowana z Perlem i dostępna na wszystkich
platformach. Jest przeważnie szybsza niż uruchamianie polecenia
systemowego w przypadku małych plików, a wolniejsza dla dużych plików.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Text/Diff.pm
%{perl_vendorlib}/Text/Diff
%{_mandir}/man3/Text::Diff*.3pm*
%changelog
* Mon Apr 22 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Text-Diff.git;a=log;h=master

* Tue May 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 3f39344
- updated to 1.45

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 648c3f1
- drop obsolete and outdated manual inclusion of rpm macros

* Sun Jul 02 2017 Jakub Bogusz <qboosh@pld-linux.org> 67d7802
- updated to 1.44

* Sat Jan 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 75359cb
- updated Algorithm::Diff BR, more verbose files

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 1e4074a
- up to 1.41

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 6448945
- updated to 1.37

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d68382f
- release 5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 951fdcd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d4979d2
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> df859f4
- generic URL, readable files

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> c1e6411
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> c4e984e
- rel. 4

* Thu May 06 2004 ankry <ankry@pld-linux.org> a717c5b
- fixed perl-devel BR

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> 58b0f0e
- license cosmetic, rel. 3 for Ac

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> cdbb920
- new bconds

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> 1f4b47f
- cosmetics

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> be43451
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 6501fa2
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 74283f2
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 49c9769
- massive attack s/pld.org.pl/pld-linux.org/

